# compute Shapiro_Wilkes based on csv file

import pandas as pd
from scipy.stats import shapiro

# update statement with name of csv file
# for values to test for normality
df  = pd.read_csv('spy_close_1994.csv')

# normality test
#stat, p = shapiro(np_array_from_series)
stat, p = shapiro(df)
print('Statistics=%.3f, p=%.3f' % (stat, p))

# interpret
alpha = 0.05
if p > alpha:
 print('Spy_close_1994 sample looks Gaussian (fail to reject H0)')
else:
 print('Spy_close_1994 sample sample does not look Gaussian (reject H0)')
