-- declare variables
declare @year int, @symbol nvarchar(10)

-- process spy closes in 2021
select 
 @year = 2021
,@symbol = 'SPY';

drop table if exists #temp_closes;

-- populate #temp_closes for @symbol and @year
select [Close]
into #temp_closes
from [DataScience].[dbo].[symbol_date]
where symbol = @symbol  
and year(date) = @year

-- symbol, avg and sample standard deviation of close values
select 
 @symbol symbol
,@year [year]
,avg([Close]) avg_close
,stdev([Close]) stdev_close
from #temp_closes

-- display close values
select * from #temp_closes;

----------------------------------------------------------------