
# import saved close values from SQL Server in csv file
# to Pandas dataframe in Python

import pandas as pd
from matplotlib import pyplot
import statsmodels.api as sm

# import csv file into dataframe
df = pd.read_csv('spy_close_1994.csv')

print (df)

df_count = df.count()
df_mean = df.mean().astype(int)
df_sd = df.std().astype(int)

print ('df_count', df_count)
print()
print ('df_mean', df_mean)
print()
print ('standard deviation', df_sd)

# histogram plot
pyplot.hist(df)
pyplot.title('Close Values in a Histogram')
pyplot.show()

# qq plot
sm.qqplot(df, line='s')
pyplot.title('Close Values in a QQ plot')
pyplot.show()

